Get ClearLoop Settlements
curl --request GET \
--url https://api.copper.co/platform/clearloop/settlementsimport requests
url = "https://api.copper.co/platform/clearloop/settlements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/clearloop/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.copper.co/platform/clearloop/settlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.copper.co/platform/clearloop/settlements"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.copper.co/platform/clearloop/settlements")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.copper.co/platform/clearloop/settlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"settlements": [
{
"cycleStartTimestamp": "<string>",
"exchange": "<string>",
"exchangeId": "<string>",
"settlementId": "<string>",
"settlementStatus": "new",
"settlementSubStatus": "started",
"completedAt": "<string>",
"createdAt": "<string>",
"custodian": "<string>",
"cycleEndTimestamp": "<string>",
"deadline": "<string>",
"failureReason": "<string>",
"settlementDetails": [
{
"clientAccountId": "<string>",
"exchangeSettlementId": "<string>",
"portfolioId": "<string>",
"settlementInstructions": [
{
"currency": "<string>",
"settlementAmount": "<string>",
"balance": "<string>",
"orderId": "<string>",
"orderStatus": "new",
"settlementAmountUSD": "<string>",
"settlementInstructionId": "<string>",
"status": "new"
}
],
"exclusionDetails": {
"exclusionReason": "<string>",
"exclusionSettlementId": "<string>"
},
"organizationId": "<string>",
"pnlAttributionEndTimestamp": "<string>",
"pnlAttributionStartTimestamp": "<string>",
"status": "new"
}
],
"triggerOrigin": "<string>"
}
],
"pagination": {
"limit": "<string>",
"page": "<string>",
"pages": "<string>",
"totalItems": "<string>"
}
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}clearloop
Get ClearLoop Settlements
GET
/
clearloop
/
settlements
Get ClearLoop Settlements
curl --request GET \
--url https://api.copper.co/platform/clearloop/settlementsimport requests
url = "https://api.copper.co/platform/clearloop/settlements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/clearloop/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.copper.co/platform/clearloop/settlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.copper.co/platform/clearloop/settlements"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.copper.co/platform/clearloop/settlements")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.copper.co/platform/clearloop/settlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"settlements": [
{
"cycleStartTimestamp": "<string>",
"exchange": "<string>",
"exchangeId": "<string>",
"settlementId": "<string>",
"settlementStatus": "new",
"settlementSubStatus": "started",
"completedAt": "<string>",
"createdAt": "<string>",
"custodian": "<string>",
"cycleEndTimestamp": "<string>",
"deadline": "<string>",
"failureReason": "<string>",
"settlementDetails": [
{
"clientAccountId": "<string>",
"exchangeSettlementId": "<string>",
"portfolioId": "<string>",
"settlementInstructions": [
{
"currency": "<string>",
"settlementAmount": "<string>",
"balance": "<string>",
"orderId": "<string>",
"orderStatus": "new",
"settlementAmountUSD": "<string>",
"settlementInstructionId": "<string>",
"status": "new"
}
],
"exclusionDetails": {
"exclusionReason": "<string>",
"exclusionSettlementId": "<string>"
},
"organizationId": "<string>",
"pnlAttributionEndTimestamp": "<string>",
"pnlAttributionStartTimestamp": "<string>",
"status": "new"
}
],
"triggerOrigin": "<string>"
}
],
"pagination": {
"limit": "<string>",
"page": "<string>",
"pages": "<string>",
"totalItems": "<string>"
}
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Query Parameters
Comma separated list with statuses to be included. See details
Available options:
new, pending-exchange-confirmation, in-progress, post-pnl-fetch, completed, failed, skipped, cancelled, partially-completed, ignored, pre-pnl-fetch, trading-account-order-execution-completed, on-chain-orders-in-progress, pre-termination, under-review, pending-settlements-check, excluded Comma separated list with statuses not to be included. See details
Available options:
new, pending-exchange-confirmation, in-progress, post-pnl-fetch, completed, failed, skipped, cancelled, partially-completed, ignored, pre-pnl-fetch, trading-account-order-execution-completed, on-chain-orders-in-progress, pre-termination, under-review, pending-settlements-check, excluded Was this page helpful?